org.h2.tools

## Class GUIConsole

- java.lang.Object
- - org.h2.util.Tool
  - - org.h2.tools.Console
    - - org.h2.tools.GUIConsole

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.MouseListener, java.awt.event.WindowListener, java.util.EventListener, org.h2.server.ShutdownHandler

      public class GUIConsole
      extends Console
      implements java.awt.event.ActionListener, java.awt.event.MouseListener, java.awt.event.WindowListener

  Console for environments with AWT support.

- - ### Field Summary

    - ### Fields inherited from class org.h2.util.Tool

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GUIConsole()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)` INTERNAL
    `void` | `mouseClicked(java.awt.event.MouseEvent e)` INTERNAL
    `void` | `mouseEntered(java.awt.event.MouseEvent e)` INTERNAL
    `void` | `mouseExited(java.awt.event.MouseEvent e)` INTERNAL
    `void` | `mousePressed(java.awt.event.MouseEvent e)` INTERNAL
    `void` | `mouseReleased(java.awt.event.MouseEvent e)` INTERNAL
    `void` | `shutdown()` INTERNAL.
    `void` | `windowActivated(java.awt.event.WindowEvent e)` INTERNAL
    `void` | `windowClosed(java.awt.event.WindowEvent e)` INTERNAL
    `void` | `windowClosing(java.awt.event.WindowEvent e)` INTERNAL
    `void` | `windowDeactivated(java.awt.event.WindowEvent e)` INTERNAL
    `void` | `windowDeiconified(java.awt.event.WindowEvent e)` INTERNAL
    `void` | `windowIconified(java.awt.event.WindowEvent e)` INTERNAL
    `void` | `windowOpened(java.awt.event.WindowEvent e)` INTERNAL

    - ### Methods inherited from class org.h2.tools.Console

      `main, runTool`

    - ### Methods inherited from class org.h2.util.Tool

      `isOption, printNoDatabaseFilesFound, setOut, showUsage, showUsageAndThrowUnsupportedOption, throwUnsupportedOption`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GUIConsole

          public GUIConsole()

  - ### Method Detail

    - #### shutdown

          public void shutdown()

      Description copied from class: `Console`
      INTERNAL. Stop all servers that were started using the console.
      Specified by:
        `shutdown` in interface `org.h2.server.ShutdownHandler`
      Overrides:
        `shutdown` in class `Console`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      INTERNAL
      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### mouseClicked

          public void mouseClicked(java.awt.event.MouseEvent e)

      INTERNAL
      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`

    - #### mouseEntered

          public void mouseEntered(java.awt.event.MouseEvent e)

      INTERNAL
      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`

    - #### mouseExited

          public void mouseExited(java.awt.event.MouseEvent e)

      INTERNAL
      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent e)

      INTERNAL
      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent e)

      INTERNAL
      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`

    - #### windowClosing

          public void windowClosing(java.awt.event.WindowEvent e)

      INTERNAL
      Specified by:
        `windowClosing` in interface `java.awt.event.WindowListener`

    - #### windowActivated

          public void windowActivated(java.awt.event.WindowEvent e)

      INTERNAL
      Specified by:
        `windowActivated` in interface `java.awt.event.WindowListener`

    - #### windowClosed

          public void windowClosed(java.awt.event.WindowEvent e)

      INTERNAL
      Specified by:
        `windowClosed` in interface `java.awt.event.WindowListener`

    - #### windowDeactivated

          public void windowDeactivated(java.awt.event.WindowEvent e)

      INTERNAL
      Specified by:
        `windowDeactivated` in interface `java.awt.event.WindowListener`

    - #### windowDeiconified

          public void windowDeiconified(java.awt.event.WindowEvent e)

      INTERNAL
      Specified by:
        `windowDeiconified` in interface `java.awt.event.WindowListener`

    - #### windowIconified

          public void windowIconified(java.awt.event.WindowEvent e)

      INTERNAL
      Specified by:
        `windowIconified` in interface `java.awt.event.WindowListener`

    - #### windowOpened

          public void windowOpened(java.awt.event.WindowEvent e)

      INTERNAL
      Specified by:
        `windowOpened` in interface `java.awt.event.WindowListener`